import { Tag } from "antd";
import { getStatusConfig } from "../utils/helpers";
import React from "react";
interface DeviceStatusProps {
  status: string;
}

const DeviceStatus: React.FC<DeviceStatusProps> = ({ status }) => {
  const config = getStatusConfig(status);

  return (
    <Tag
      color={config.color}
      style={{ minWidth: "60px", textAlign: "center" }}
    >
      {config.text}
    </Tag>
  );
};

export default DeviceStatus;